Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::TLS::Stream_Sequence_Numbers Class Referencefinal

`#include <tls_seq_numbers.h>`

Inheritance diagram for Botan::TLS::Stream_Sequence_Numbers:

## Public Member Functions
bool | already_seen (uint64_t) const override
uint16_t | current_read_epoch () const override
uint16_t | current_write_epoch () const override
void | new_read_cipher_state () override
void | new_write_cipher_state () override
uint64_t | next_read_sequence () override
uint64_t | next_write_sequence (uint16_t) override
void | read_accept (uint64_t) override
void | reset () override
| Stream_Sequence_Numbers ()

## Detailed Description

Definition at line 38 of file tls_seq_numbers.h.

## Constructor & Destructor Documentation

Botan::TLS::Stream_Sequence_Numbers::Stream_Sequence_Numbers | ( |  | ) |
| inline

Definition at line 41 of file tls_seq_numbers.h.

References reset().

41 { Stream_Sequence_Numbers::reset(); }
Botan::TLS::Stream_Sequence_Numbers::reset
void reset() override
Definition: tls_seq_numbers.h:43

## Member Function Documentation

bool Botan::TLS::Stream_Sequence_Numbers::already_seen | ( | uint64_t |  | ) | const
| inline override virtual

Implements Botan::TLS::Connection_Sequence_Numbers.

Definition at line 60 of file tls_seq_numbers.h.

60 { return false; }

uint16_t Botan::TLS::Stream_Sequence_Numbers::current_read_epoch | ( |  | ) | const
| inline override virtual

Implements Botan::TLS::Connection_Sequence_Numbers.

Definition at line 54 of file tls_seq_numbers.h.

54 { return m_read_epoch; }

uint16_t Botan::TLS::Stream_Sequence_Numbers::current_write_epoch | ( |  | ) | const
| inline override virtual

Implements Botan::TLS::Connection_Sequence_Numbers.

Definition at line 55 of file tls_seq_numbers.h.

55 { return m_write_epoch; }

void Botan::TLS::Stream_Sequence_Numbers::new_read_cipher_state | ( |  | ) |
| inline override virtual

Implements Botan::TLS::Connection_Sequence_Numbers.

Definition at line 51 of file tls_seq_numbers.h.

51 { m_read_seq_no = 0; m_read_epoch++; }

void Botan::TLS::Stream_Sequence_Numbers::new_write_cipher_state | ( |  | ) |
| inline override virtual

Implements Botan::TLS::Connection_Sequence_Numbers.

Definition at line 52 of file tls_seq_numbers.h.

52 { m_write_seq_no = 0; m_write_epoch++; }

uint64_t Botan::TLS::Stream_Sequence_Numbers::next_read_sequence | ( |  | ) |
| inline override virtual

Implements Botan::TLS::Connection_Sequence_Numbers.

Definition at line 58 of file tls_seq_numbers.h.

58 { return m_read_seq_no; }

uint64_t Botan::TLS::Stream_Sequence_Numbers::next_write_sequence | ( | uint16_t |  | ) |
| inline override virtual

Implements Botan::TLS::Connection_Sequence_Numbers.

Definition at line 57 of file tls_seq_numbers.h.

57 { return m_write_seq_no++; }

void Botan::TLS::Stream_Sequence_Numbers::read_accept | ( | uint64_t |  | ) |
| inline override virtual

Implements Botan::TLS::Connection_Sequence_Numbers.

Definition at line 61 of file tls_seq_numbers.h.

61 { m_read_seq_no++; }

void Botan::TLS::Stream_Sequence_Numbers::reset | ( |  | ) |
| inline override virtual

Implements Botan::TLS::Connection_Sequence_Numbers.

Definition at line 43 of file tls_seq_numbers.h.

Referenced by Stream_Sequence_Numbers().

44 {
45 m_write_seq_no = 0;
46 m_read_seq_no = 0;
47 m_read_epoch = 0;
48 m_write_epoch = 0;
49 }

The documentation for this class was generated from the following file:

- src/lib/tls/tls_seq_numbers.h